Page MenuHomePhabricator

Investigate release for non WMDE maintained components [4hrs]
Closed, ResolvedPublic

Description

The components to consider here are the software components considered for the Wikibase suite, i.e.

Potential categories of components to consider:

  • WMF Search Platform Team maintained software (Query Service, Elastic search)
  • WMF maintained mediawiki extensions
  • non-Wikimedia software

Investigation to be time boxed to 4 person hours.
.
Other possible categorization:

  • components that already publish Release Notes
  • components that publish Release Notes but not aligned with WMDE's expectations on the format/content
  • components that do not document changes

Acceptance criteria:

  • Approach on Release Notes has been defined for all recognized categories of non-WMDE maintained components
    • Where to put the Release Notes
    • What is the intended level of detail to cover in Release Notes

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2021, 10:17 AM
WMDE-leszek updated the task description. (Show Details)Jan 5 2021, 10:18 AM
Samantha_Alipio_WMDE triaged this task as Medium priority.Jan 5 2021, 10:18 AM
WMDE-leszek renamed this task from Investigate release for non WMDE maintained components to Investigate release for non WMDE maintained components [4hrs].Jan 5 2021, 10:26 AM
WMDE-leszek updated the task description. (Show Details)
Tarrow claimed this task.Jan 15 2021, 8:37 AM
Tarrow moved this task from To do to Doing on the Wikibase Release Strategy (Sprint 4) board.
Tarrow updated the task description. (Show Details)Jan 18 2021, 9:03 PM

Table of the status of existing release notes for components of interest:

Component NamePublishes Release NotesHas meaningful git logHas commits linked to phabricator tickets
WDQS Backend❌ (solution:T272265)
Elasticsearch--
WMF Maintained Elasticsearch Extensions
Quickstatements
WikibaseLocalMedia--
Other WMF Maintained Extensions

The ADR looks solid, thanks!
I've made a small nitpicky change to make the language in consequences section less - arguable interpretation - "scary": https://github.com/wmde/wikibase-release-prototype/pull/46

I'll close this task once this other pull request is approve or rejected.

WMDE-leszek closed this task as Resolved.Wed, Feb 17, 9:50 PM